Bug 1029556 - Cannot create classes in default package
Cannot create classes in default package
Status: CLOSED NOTABUG
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Data Modeler (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Walter Medvedeo
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 10:36 EST by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-14 09:32:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-11-12 10:36:13 EST
Description of problem:
Data Modeler doesn't allow users to create new data objects in the default package. The package is not available in the list of existing packages and cannot be "created" through the Data Modeler as a New package either (via the choice between existing or new package when creating a new data object).
There is a package called <default>, that represents the Java default package, at the top of the list of packages in the Project Explorer. Users can easily create all other asset types in this package. Therefore, they should be allowed to use it for data objects/Java classes as well.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER4
Comment 1 Walter Medvedeo 2013-11-14 08:09:02 EST
Some time ago (see this report https://bugzilla.redhat.com/show_bug.cgi?id=995018)
It was defined intentionally that NO pojos can be created in the default package.  (empty package)

So I believe we can close this report.

If pojos creation in the default package is needed please verify with Edson Tirelli or Mario Fusco first if the compile system is now prepared for this.
Comment 2 Edson Tirelli 2013-11-14 09:32:26 EST
Java does not allow application code to import classes from the default package, so any java classes in there can't be used outside of the default package. It is also a bad practice to create classes in the default package.

That is why we prevent the user to create classes in there using the data modeller. If the user circumvents this restriction by other means (like going straight to the git repo, bypassing the UI), then it is their responsibility to manage it.

Note You need to log in before you can comment on or make changes to this bug.